      integer*4 function nf_fread_x  (ncid, varid, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_fread_x.h"
      integer(4) :: ncid
      integer(4) :: type
      integer(4) :: varid
      

        call Sub_Loop_nf_fread_x(ncid,varid,type,nf_fread_x, Agrif_tabva
     &rs_i(176)%iarray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(9)%
     &iarray0, Agrif_tabvars_i(178)%iarray0, Agrif_tabvars_i(2)%iarray0)

      end


#include "Sub_Loop_nf_fread_x.h"
      integer*4 function nf_fwrite_x (ncid, varid, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_fwrite_x.h"
      integer(4) :: ncid
      integer(4) :: type
      integer(4) :: varid
      

        call Sub_Loop_nf_fwrite_x(ncid,varid,type,nf_fwrite_x, Agrif_tab
     &vars_i(176)%iarray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(9
     &)%iarray0, Agrif_tabvars_i(178)%iarray0, Agrif_tabvars_i(2)%iarray
     &0)

      end


#include "Sub_Loop_nf_fwrite_x.h"
